#local so tf odom->base_link
odom_frame: odom
base_link_frame: base_footprint
world_frame: odom
map_frame : map
predict_to_current_time : true
transform_time_offset: 0.000
print_diagnostics: true
reset_on_time_jump : true

dynamic_process_noise_covariance : true
two_d_mode: true
permit_corrected_publication : false
smooth_lagged_data : true
history_length : 1.2
frequency: 30
initial_state: [0.0,  0.0,  0.0,
                0.0,  0.0,  0.0,
                0.0,  0.0,  0.0,
                0.0,  0.0,  0.0,
                0.0,  0.0,  0.0]
use_control : false
control_config: [true, false, false, false, false, true]

imu0: /imu/data/madgwicked
imu0_config: [false, false, false,
              true, true, true,
              false, false, false,
              true, true, true,
              true, true, true]
imu0_differential: false
imu0_relative: false
imu0_queue_size: 7
imu0_remove_gravitational_acceleration: true

# imu1: /os_cloud_node/imu
# imu1_config: [false, false, false,
#               false, false, false,
#               false, false, false,
#               true, true, true,
#               true, true, true]
# imu1_differential: false
# imu1_relative: false
# imu1_queue_size: 7
# imu1_pose_rejection_threshold: 0.8
# imu1_twist_rejection_threshold: 0.8
# imu1_linear_acceleration_rejection_threshold: 0.8
# imu1_remove_gravitational_acceleration: true

# odom0: /rr100_steering_controller/odom
# odom0_config: [false, false, false,
#                false, false, false,
#                true, false, false,
#                false, false, true,
#                false, false, false]
# odom0_differential: false
# odom0_queue_size: 10

odom0: /rtabmap/odom ##theta z
odom0_config: [true, true, false,
               false, false, true,
               false, false, false,
               false, false, false,
               false, false, false]
odom0_differential: false
odom0_relative: false
odom0_queue_size: 10